Bug 1264847 - RFE : Flat hierarchy for files inside trash directory
RFE : Flat hierarchy for files inside trash directory
Status: POST
Product: GlusterFS
Classification: Community
Component: trash-xlator (Show other bugs)
mainline
All All
medium Severity medium
: ---
: ---
Assigned To: Jiffin
: FutureFeature, Triaged
Depends On:
Blocks: 1319485
  Show dependency treegraph
 
Reported: 2015-09-21 07:12 EDT by Jiffin
Modified: 2016-05-10 07:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiffin 2015-09-21 07:12:15 EDT
Description of problem:

Instead of creating the whole directory under trash, we will rename the file and place it directly under trash directory with appended time stamp. The whole path will be stored as xattr.
Comment 1 Vijay Bellur 2015-10-28 09:14:08 EDT
REVIEW: http://review.gluster.org/12446 (features/trash : flat hierarchy for unlink operation) posted (#1) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 2 Mike McCune 2016-03-28 18:22:31 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Vijay Bellur 2016-04-18 14:22:13 EDT
REVIEW: http://review.gluster.org/12446 (features/trash : flat hierarchy for unlink operation) posted (#2) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 4 Vijay Bellur 2016-04-25 09:31:47 EDT
REVIEW: http://review.gluster.org/12446 (features/trash : flat hierarchy for unlink operation) posted (#3) for review on master by jiffin tony Thottan (jthottan@redhat.com)
Comment 5 Niels de Vos 2016-05-10 05:31:28 EDT
This didnt make it for GlusterFS 3.8, moving out of the tracking tree.

Note You need to log in before you can comment on or make changes to this bug.